/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.h"


BOOL bTimer5msFlg;
BOOL bTimer50msFlg;
BOOL bTimer1sFlg;
U8  ucTimer50ms;
U8  ucTimer1s;

/*************************************************************************************************
* : InterruptINT4App
*   : IntSourceⲿж4жԴ
* ֵ: 
*   : ⲿжϴALARMжϺͰжϣڵ͹Ļϵͳ
*************************************************************************************************/
void InterruptINT4App(U8 IntSource)
{
	if(IntSource == INT4_EXS45)             //Alarm
	{
		if(bPDFlg || bSleepFlg)
		{
			McuClockSet(MCU_CLK_24MHz);
			bWakeupFlg = 1;
		}
	}
	else if(IntSource == INT4_EXS46)        //Key wakeup
	{
		if(bPDFlg || bSleepFlg)
		{
			McuClockSet(MCU_CLK_24MHz);
			bWakeupFlg = 1;
		}
	}
}


/*************************************************************************************************
* : InterruptTimer3App
*   : 
* ֵ: 
*   : ʱΪ5mS5mS50mS1S־
*************************************************************************************************/
void InterruptTimer3App(void)
{
	
	bTimer5msFlg = 1;                       //5ms־ΪԤ־
	
	if(++ucTimer50ms >= TIME_5MS_50MS)
	{
		ucTimer50ms = 0;
		bTimer50msFlg = 1;
	}
	
	if(++ucTimer1s >= TIME_5MS_1S)
	{
		ucTimer1s = 0;
		bTimer1sFlg = 1;
	}
	
	KeyScan();                              //ɨ谴
}

