/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.h"


BOOL bBalanceFlg;
BOOL bBalancingFlg;
BOOL bBalanceOddFlg;
BOOL bCTOValidFlg;                                          //оѹ1200mVʱΪڶߣҪоѹ2V
BOOL bCellOpenDecFlag;
U16	xdata uiBalanceChannel;
U8	xdata ucBalanceTimeCnt;
U8	xdata ucBalanceStep;
U8	xdata ucCellOpenDecCnt;
U8	xdata ucCtoCnt;

/*************************************************************************************************
* : BalTurnOnCheck
*   : 
* ֵ: 
*   : 
	1. ƽ⿪ǵѹѹ ͬʱ
	2. ƽУٽƽ
	3. ߼ƽ
*************************************************************************************************/
void BalTurnOnCheck(void)
{
	U8 i;

	if(!bBalancingFlg && !bCellOpenDecFlag)                 //һƽл߼ʱжǷƽ
	{
	    if(bBAL_EN)
	    {
			uiBalanceChannel = 0;
	    	if(((uiCellVmax>E2uiOVvol)&&(!bOV))             //¶ȱʱƽ,жѹѹָֹʱͣƽ 
				||((uiCellVmax < E2uiOVRvol)&&(bOV))
				|| bOTC || bUTC || bOTD || bUTD) 
	    	{
	    		bBalanceFlg = 0;
	    		ucBalanceTimeCnt = 0;
	    	}
	    	else
		    {
		    	if(((uiCellVmax>E2uiBalanceVol) && (uiCellVmax-uiCellVmin)>=E2uiBalanceVolDiff) && (Info.slCurr>=E2siBalCurrent))
	    		{
	    			if(!bBalanceFlg)
	    			{
	    				ucBalanceTimeCnt++;															 
	    			}
	    			if(ucBalanceTimeCnt >= BAL_DELAY_CNT)											 
	    			{
	    				for(i=ucCellNumOffset; i<ucCellNumOffset+ucCellNum; i++)
	    				{
	    					if(((Info.uiVCell[i]-uiCellVmin)>=E2uiBalanceVolDiff)&&(Info.uiVCell[i]>=E2uiBalanceVol))	//оѹƽѹѹֵõоƽ
	    					{
	    						uiBalanceChannel |= (1<<i);
	    					}
	    				}
	    				bBalanceFlg = 1;
	    			}
	    		}
	    		else
	    		{
	    			bBalanceFlg = 0;
	    			ucBalanceTimeCnt = 0;
	    		}
	        }
		}
	}	
}



/*******************************************************************************
Function: CTOCheckVol(void)
Description:  
Input:	 	
Output: 
Others:
*******************************************************************************/
BOOL CTOCheckVol(void)
{
    BOOL bResult=0;

	if(bCTO_EN)                                             //жǷֶ֧߼
	{
		if(!bCTO)                                           //Ѿ⵽ߣټ
		{
			if(bCTOValidFlg)                                //жϵѹѹǷ񳬹1.2V
			{
				if(uiVadcVmin < VOL_CELL_CUT_180MV)         //180mV
				{
					bResult = 1;
					if(++ucCtoCnt >= TIME_50MS_500MS)       // 500mS
					{
						bCTO = 1;
					}
				}
				else
				{
					bCTOValidFlg = 0;
					ucCtoCnt = 0;
				}
			}
		}	
#ifdef SP_CTO_RECOVER
		else                                                //߻ָܣÿ250mSһжСѹ
		{
			if(uiVadcVmin >= VOL_CELL_CUT_180MV)            //180mV
			{
				if(++ucCtoRCnt >= TIME_250MS_1S)
				{
					bCTO = 0;
				}
			}
			else
			{
				ucCtoRCnt = 0;
			}
		}
#endif
	}

    return bResult;
}


/*************************************************************************************************
* : BalProcess
*   : 
* ֵ: 
*   : 
	1. ƽڷΪ5STEPϼ250mS
	2. ƽЧ<100/(250mS*2)(żƽ)
	3. ⵽ߣƽж߼
	4. ƽ⿪ĵѹжʱܻʱ250mS(һƽ)
*************************************************************************************************/
void BalProcess(void)
{
    U16 BalChTemp;

//жϵоѹѹǷ񳬹1.2Vж϶ߣҪоѹ<2Vƽᴥж
//жϵоѹǷС1.38VСж϶ߣҪδЧоѹѹж
	if((uiCellVmax-uiCellVmin>=VOL_CELL_CUT_1200MV) || (uiCellVmax<=VOL_CELL_CUT_1380MV))
	{
		bCTOValidFlg = 1;
	}
    
    switch(ucBalanceStep)
    {
        case BALANCE_ENABLE:                                //VADCɼѹж
            if(bCellOpenDecFlag || bBalanceFlg)
	        {
	            if(bBalanceOddFlg)                          //odd balance
	            {
	                BalChTemp = uiBalanceChannel&0x5555;		  					
	            }
	            else                                        //even balance
	            {
	                BalChTemp = uiBalanceChannel&0xAAAA;							
	            }	        
				AfeBalCtl(BalChTemp);                       //ƽ	                 
	            ucBalanceStep = BALANCE_START;
	            bBalancingFlg = 1;
	        }
            break;

        case BALANCE_START:                                 //VADCɼĵѹݶ
            ucBalanceStep = BALANCING;
            break;

        case BALANCING:                                     //VADCɼĵѹж϶
            if(!CTOCheckVol())                              //ж
	        {
				AfeBalCtl(0);                               //رƽ
                ucBalanceStep = BALANCE_DISABLE;
                bBalanceOddFlg = ~bBalanceOddFlg;
	        }
            break;

        case BALANCE_DISABLE:                               //VADCɼĵѹݶ
            if(!CTOCheckVol())                              //ж
	        {
                ucBalanceStep = BALANCE_NULL;
		    }
		    else 
		    {
                ucBalanceStep = BALANCE_ENABLE;
                bBalanceOddFlg = ~bBalanceOddFlg;
		    }
            break;

        case BALANCE_NULL:                                  //VADCɼѹж
            ucBalanceStep = BALANCE_ENABLE;
            bCellOpenDecFlag = 0;
            bBalanceFlg = 0;
			bBalancingFlg = 0;		
            break;
	}
}


/*************************************************************************************************
* : CellOpenProcess
*   : 
* ֵ: 
*   : ÿ2Sһζ߼
*************************************************************************************************/
void CTOTurnOnCheck(void)
{
#ifdef SP_CTO_RECOVER
	if(bCTO_EN)                                             //ֶ֧߻ָ
#else
    if(bCTO_EN && !bCTO)                                    //ѷ򲻼
#endif
	{
        if(++ucCellOpenDecCnt >= TIME_50MS_2250MS)          //2S
		{
			ucCellOpenDecCnt = TIME_50MS_2250MS;            //üƽżϵ
			if(!bBalancingFlg)                              //ƽ⣬һƽڽٿ߼
			{
            	ucCellOpenDecCnt = 0;
            	bCellOpenDecFlag = 1;
            	uiBalanceChannel = 0x03ff;
			}
		}
	}
}

/*************************************************************************************************
* : BalanceProcess
*   : 
* ֵ: 
*   : ƽ߼⴦
*************************************************************************************************/
void BalanceProcess(void)
{
	BalTurnOnCheck();                                       //Ƿƽ⿪

	CTOTurnOnCheck();                                       //ʱ߼

	BalProcess();                                           //ƽͶʱ
}	




