/********************************************************************************
Copyright (C), Sinowealth Electronic. Ltd.
Author: 	Sino
Version: 	V0.0
Date: 		2020/04/26
History:
	V2.0	2020/04/26		 Preliminary
********************************************************************************/
#include "Main.H"

BOOL	bPorSelfTestFlg;
U8	ucPorSelfTestDelayCnt;

/*************************************************************************************************
* : PorProtectOV
*   : 
* ֵ: 
*   : ڵعѹ⣬ѹλbOVΪ1
*************************************************************************************************/
void PorProtectOV(void)
{
	if(!bOV)
	{
		if(uiCellVmax > E2uiOVvol)
		{
			if(++uiOVDelayCnt >= TIME_50mS_50mS)
			{
				bOV = 1;
				uiOVDelayCnt = 0;
			}
		}
		else if(uiCellVmax < E2uiOVRvol)
		{
			uiOVDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : PorProtectUV
*   : 
* ֵ: 
*   : ڵоǷѹ⣬λbUVΪ1
*************************************************************************************************/
void PorProtectUV(void)
{
	if(!bUV)
	{
		if(uiCellVmin < E2uiUVvol)
		{		
			if(++uiUVDelayCnt >= TIME_50mS_50mS)
			{
				bUV = 1;
				uiUVDelayCnt = 0;
			}
		}
		else if(uiCellVmin > E2uiUVRvol)
		{
			uiUVDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : PorProtectOTC
*   : 
* ֵ: 
*   : ±⣬λbOTCΪ1
*************************************************************************************************/
void PorProtectOTC(void)
{
	if(!bOTC)
	{
		if(uiTempeMax > E2uiTempOTC)
		{
			if(++uiOTCDelayCnt >= TIME_50mS_50mS)
			{
				bOTC = 1;
				uiOTCDelayCnt = 0;
			}
		}
		else if(uiTempeMax < E2uiTempOTCR)
		{
			uiOTCDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : PorProtectUTC
*   : 
* ֵ: 
*   : ±⣬λbUTCΪ1
*************************************************************************************************/
void PorProtectUTC(void)
{
	if(!bUTC)
	{
		if(uiTempeMin < E2uiTempUTC)
		{
			if(++uiUTCDelayCnt >= TIME_50mS_50mS)
			{
				bUTC = 1;
				uiUTCDelayCnt = 0;
			}
		}
		else if(uiTempeMin > E2uiTempUTCR)
		{
			uiUTCDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : PorProtectOTD
*   : 
* ֵ: 
*   : ŵ±⣬λbOTDΪ1
*************************************************************************************************/
void PorProtectOTD(void)
{
	if(!bOTD)
	{
		if(uiTempeMax > E2uiTempOTD)
		{
			if(++uiOTDDelayCnt >= TIME_50mS_50mS)
			{
				bOTD = 1;
				uiOTDDelayCnt = 0;
			}
		}
		else if(uiTempeMax < E2uiTempOTDR)
		{
			uiOTDDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : PorProtectUTD
*   : 
* ֵ: 
*   : ŵ±⣬λbUTDΪ1
*************************************************************************************************/
void PorProtectUTD(void)
{
	if(!bUTD)
	{
		if(uiTempeMin < E2uiTempUTD)
		{
			if(++uiUTDDelayCnt >= TIME_50mS_50mS)
			{
				bUTD = 1;
				uiUTDDelayCnt = 0;
			}
		}
		else if(uiTempeMin > E2uiTempUTDR)
		{
			uiUTDDelayCnt = 0;
		}
	}
}


/*************************************************************************************************
* : ProtectProcess
*   : 
* ֵ: 
*   : һϵʱԼ죬100mSϵԼʱΪ50mS
*************************************************************************************************/
void PorSelfTest(void)
{
	if(bPorSelfTestFlg)
	{
		AfeCalcuVol();                                          //һϵ50mSԶȡѹݺ¶
		AfeCalcuTempe();
		PorProtectOV();                                         //ѹͷ
		PorProtectUV();                                         //Ƿѹͷ
		
		PorProtectOTC();                                        //±ͷ
		PorProtectUTC();                                        //±ͷ
		PorProtectOTD();                                        //ŵ±ͷ
		PorProtectUTD();                                        //ŵ±ͷ

		if(++ucPorSelfTestDelayCnt >= TIME_50mS_100mS)          //ҪԼɣTIME_50mS_100mS޸ΪTIME_50mS_50mS
		{
			bPorSelfTestFlg = 0;                                //1SԼݵǰ״̬ȷǷPDǷ񿪹MOS
			if(bAfeErr || bE2PRErr || bRTCErr || bMcuFlashErr)
			{
				bPDFlg = 1;
			}
			else
			{
				GasGaugeInit();                                 //ֵ
			}
		}
	}
}

