/*******************************************************************************
                  Ȩ (C), 2018,ӱӹɷ޹˾
********************************************************************************/
#ifndef __FLASH_H__
#define __FLASH_H__
#include "C51_TYPE.H"

#define MCU_TYPE_CODE			0x00
#define MCU_TYPE_E2P			0x01

#define BOOT_PGR_OK				0x00
#define BOOT_PGR_ERASE_ERR		0x01
#define BOOT_PGR_WR_ERR			0x02

#define BootMcuWdtClear()       RSTSTAT &= 0xF8;    //忴Ź
/******************************************************************************
MCU 64K
Bootռ4K			(0x0000~0x0FFF)
Appռ29K		(0x1000~0x83FF)
Appռ30K		(0x8400~0xFBFF)		CODEͲCODE
Appݲռ1K		(0xFC00~0xFFFF)
*******************************************************************************/
#define MCU_CODE_SECTOR_SIZE	((U32)0x200)

#define BOOT_CODE_START_ADDR	((U32)0x0000)		//BOOTʼַ
#define BOOT_CODE_SIZE			((U32)4*1024)		//BOOTʼַ

#define IAP_CODE_START_ADDR		((U32)BOOT_CODE_START_ADDR+BOOT_CODE_SIZE)//APPʼַ
#define IAP_CODE_SIZE			((U32)29*1024)		//APP29K
#define IAP_CODE_END_ADDR		((U32)IAP_CODE_START_ADDR+IAP_CODE_SIZE-1)

#define IAP_BK_CODE_START_ADDR	((U32)IAP_CODE_START_ADDR+IAP_CODE_SIZE)	//APP򱸷ʼַ
#define IAP_BK_CODE_SIZE		((U32)30*1024)		//APP򱸷ַ
#define IAP_BK_CODE_END_ADDR	((U32)IAP_BK_CODE_START_ADDR+IAP_BK_CODE_SIZE-1)

#define APP_PARA_START_ADDR		((U32)0x0000)		//ʼַ--EEPROMַ0ʼ
#define APP_PARA_SIZE			((U32)1*1024)		//1K

#define BOOT_FLG_START_ADDR		((U32)BOOT_CODE_START_ADDR+BOOT_CODE_SIZE-MCU_CODE_SECTOR_SIZE)//BOOT1Sector
#define BOOT_FLG_IAP_ADDR		((U32)BOOT_FLG_START_ADDR+MCU_CODE_SECTOR_SIZE-1)	//IAP־ڱ־Sectorһֽ
#define BOOT_FLG_ISP_ADDR		((U32)BOOT_FLG_START_ADDR+MCU_CODE_SECTOR_SIZE-1)	//IAP־ڱ־Sectorһֽ

#define ISP_CODE_START_ADDR		((U32)IAP_CODE_START_ADDR)	//APPʼַ
#define ISP_CODE_SIZE			((U32)59*1024)			//APP59K1KĲ

extern U8 ucMcuFlashWrValid;

extern U8 McuFlashRdOneByte(U32 xdata McuFlashAddr, U8 xdata McuType);
extern void McuFlashEraseSector(U32 xdata McuFlashAddr, U8 xdata McuType);
extern BOOL McuFlashBlankCheck(U32 xdata McuFlashAddr, U8 xdata McuType);
extern void McuFlashWrOneByte(U32 xdata McuFlashAddr, U8 xdata WrData, U8 xdata McuType);
extern BOOL BootUpgradeCode(void);




#endif








//#define MCU_CODE_SECTOR_SIZE	((U32)0x200)

//#define BOOT_CODE_START_ADDR	((U32)0x0000)		//BOOTʼַ
//#define BOOT_CODE_SIZE			((U32)4*1024)		//BOOTʼַ

//#define IAP_CODE_START_ADDR		(0x0000+4096)//APPʼַ
//#define IAP_CODE_SIZE			((U32)29*1024)		//APP29K
//#define IAP_CODE_END_ADDR		(4096+29K-1)

//#define IAP_BK_CODE_START_ADDR	(4096+29K)	//APP򱸷ʼַ
//#define IAP_BK_CODE_SIZE		((U32)30*1024)		//APP򱸷ַ
//#define IAP_BK_CODE_END_ADDR	(33K+30K-1)

//#define APP_PARA_START_ADDR		((U32)0x0000)		//ʼַ--EEPROMַ0ʼ
//#define APP_PARA_SIZE			((U32)1*1024)		//1K

//#define BOOT_FLG_START_ADDR		(0x0000+4096-0x200)//BOOT1Sector
//#define BOOT_FLG_IAP_ADDR		(3.5K+0x200-1)	//IAP־ڱ־Sectorһֽ
//#define BOOT_FLG_ISP_ADDR		(3.5K+0x200-1)	//IAP־ڱ־Sectorһֽ

//#define ISP_CODE_START_ADDR		(4096)	//APPʼַ
//#define ISP_CODE_SIZE			((U32)59*1024)			//APP60K1KĲ









