#ifndef	__EXT_E2PROM_H
#define	__EXT_E2PROM_H

#define E2PROM_ID				    0xA0

#define E2PROM_SIZE				    0x10000
#define E2PROM_BOOT_ADDR		    0x10000-0x20
#define E2PROM_RTC_ADDR			    0x10000-0x10

#define E2PROM_BKTYPE_CHG_START	    0x10	
#define E2PROM_BKTYPE_CHG_END	    0x01
#define E2PROM_BKTYPE_DSG_END	    0x02

extern BOOL	bE2PProcessFlg;                             //EEPROM־
extern BOOL	bE2PBKDsgEnd;                               //ŵ־ҪϢEEPROM
extern BOOL	bE2PBKDsgEndValid;
extern BOOL	bE2PBKChgStop;                              //־ҪϢEEPROM
extern BOOL	bE2PBKChgStart;                             //翪ʼ־ҪϢEEPROM
extern BOOL	bE2PBKRtc;                                  //RTCʱݱ־ҪϢEEPROM
extern BOOL	bE2PErase;                                  //EEPROM־
extern U8 xdata	bUart0E2PRdData;                                 //ȡEEPROM־
extern U8 xdata	bUart1E2PRdData;                                 //ȡEEPROM־
extern U8 xdata	bUart2E2PRdData;                                 //ȡEEPROM־
extern BOOL	bE2PRErr;                                   //EEPROMʴ󣬵д5Sλñ־
extern BOOL	bE2PTwiRWErrFlg;                            //EEPROMдδ
extern U8 xdata bUart0RTCRdTime;                                                //ȡRTCʱ־
extern U8 xdata bUart1RTCRdTime;                                                //ȡRTCʱ־
extern U8 xdata bUart2RTCRdTime;                                                //ȡRTCʱ־
extern BOOL	bDsgToChgFlg;                               //ŵתΪ磬Ҫ
extern BOOL	bChgToDsgFlg;                               //תΪŵ磬Ҫ
extern U16	xdata	uiE2PDataAddr;
extern U8	xdata	ucE2PTwiRWErrDelayCnt;
extern U8	xdata	ucRTCBKTime1;
extern U16	xdata	uiRTCBKTime2;
extern U8	idata	ucUpDataLimitTime;
extern U16	xdata	uiCHGValidTime;
extern U8	xdata	ucRTCBuf[7];


extern BOOL E2PRomRead(U16 RdAddr, U8 Length, U8 xdata *RdBuf);
extern BOOL E2PRomInit(void);
extern void E2PRomBKProcess(void);
extern void E2PRomBKCheck(void);
extern void E2PRomTwiCheck(void);

#endif